Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #18050

    Hi, I have been updating the Propulsion theme from version 1.2.1 to the latest version, going folder by folder instead of all at once just to be careful of any changes I might have made… all updated fine so far except for the functions.php file. When I update to the new file all blog archives are inaccessible and so are drop-down menu pages. Error given is:

    Warning: require_once(config-wpml/config.php) [function.require-once]: failed to open stream: No such file or directory in /home/…./wp-content/themes/propulsion/functions.php on line 19

    Fatal error: require_once() [function.require]: Failed opening required ‘config-wpml/config.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/…../wp-content/themes/propulsion/functions.php on line 19

    What have I done?! Any ideas? I am fairly new at this so any direction would be great…

    I have put the old functions.php back in place for the time being and everything works fine, so it’s not urgent, but I’d like to be able to update fully…

    I think the only other files I haven’t updated yet are single.php and footer.php – that wouldn’t make a difference would it?

    thanks in advance,

    jo

    #98062

    ooh! My bad! You can close this now guys! Some how I overlooked the new config-wpml file (yes i’m new at this ;)… thought i had updated it but only had done the wpml.xml file. Seems to be working now… yay!

    #98063

    Hi tapylton,

    No worries. Glad it’s fixed. :)

    Cheers,

    Ismael

Viewing 3 posts - 1 through 3 (of 3 total)

The topic ‘Updating functions.php file causing issues’ is closed to new replies.